import { useContext } from 'react';
import { ManagePointiersContext } from './ManagePointiersContext';

const useManagePointiersContext = () => {
  const context = useContext(ManagePointiersContext);

  if (!context) throw new Error('useManagePointiersContext must be used within AuthProvider');

  return context;
};

export { useManagePointiersContext };
